/*


ͻ
Programa  TRR004    Autor  Italo Dantas         Data   24/05/2010 
͹
Desc.      Relatrio de impresso do boleto bancrio do Banco do      
           Brasil.                                                    
͹
Uso        Protheus 10 - TopConnect (MS SQL Server)                   
ͼ


*/

#Include "Protheus.ch"
#INCLUDE "RWMAKE.CH"                              

User Function TRR004()
LOCAL   aCampos := {{"E1_NOMCLI","Cliente","@!"},{"E1_PREFIXO","Prefixo","@!"},{"E1_NUM","Titulo","@!"},;
{"E1_PARCELA","Parcela","@!"},{"E1_VALOR","Valor","@E 9,999,999.99"},{"E1_VENCTO","Vencimento"}}
Local   nOpc := 0
Local   aMarked := {}
//Local   aDesc := {"Este programa imprime os boletos de","cobranca bancaria de acordo com","os parametros informados"}
Local   aDesc := "Este programa imprime os boletos de"+chr(13)+"cobranca bancaria de acordo com"+chr(13)+"os parametros informados"
PRIVATE Exec    := .F.
PRIVATE cIndexName := ''
PRIVATE cIndexKey  := ''
PRIVATE cFilter    := ''
PRIVATE cPerg	   := "BOLLSR"
Private _lBcoCorrespondente := .f. 
//Private cProt

//ValidPerg()

dbSelectArea("SE1")    
Pergunte ("BOLLSR",.F.)
If Upper(AllTrim(FunName())) == "MATA460A"
/*	mv_par01 := _cPrefixo
	mv_par02 := _cPrefixo
	mv_par03 := _cNumero
	mv_par04 := _cNumero
	mv_par05 := _cBanco
	mv_par06 := _cAgencia
	mv_par07 := _cConta
	mv_par08 := _cSubCta
	mv_par09 := "      "
	mv_par10 := "ZZZZZZ"
	mv_par11 := 1 */
//	mv_par12 := "ZZ"
Else
	Pergunte ("BOLLSR",.T.)
Endif 
//   nOpc := U_FSTelaProc("Impressao do Boleto Laser",aDesc,"BOLLSR")
nOpc := Aviso("Impressao do Boleto Laser",aDesc,{"Config. Imp.","Sim","Nao"})
If nOpc == 1      //SE CONFIGURA IMPRESSAO
	U_ConfiguraPrt()
ElseIf nOpc == 2   //SE IMPRIME
	cIndexName := Criatrab(Nil,.F.)
	cIndexKey  := "E1_PORTADO+E1_PREFIXO+E1_NUM+E1_PARCELA+DTOS(E1_EMISSAO)+E1_CLIENTE"

	cFilter    := "E1_PREFIXO >= '" + MV_PAR01 + "' .And. E1_PREFIXO <= '" + MV_PAR02 + "' .And. " + ;
	"E1_NUM >= '" + MV_PAR03 + "' .And. E1_NUM <= '" + MV_PAR04 + "' .And. " + ;
	"E1_PORTADO == '" + MV_PAR05 + "' .And. E1_AGEDEP == '" + MV_PAR06 + "' .And. E1_CONTA == '" + MV_PAR07 + "' .And. " + ;
    "E1_NUMBOR >= '"+MV_PAR09+"' .And. E1_NUMBOR <= '"+MV_PAR10+"' .And. "+;
	"E1_FILIAL = '"+xFilial()+"' .And. E1_SALDO > 0 .And. " + ;
	"SubsTring(E1_TIPO,3,1) != '-' "
	
	IndRegua("SE1", cIndexName, cIndexKey,, cFilter, "Aguarde, selecionando registros....")
	DbSelectArea("SE1")
	#IFNDEF TOP
		DbSetIndex(cIndexName + OrdBagExt())
	#ENDIF
	dbGoTop()
	If mv_par11 == 1    //SE TRAZ MARCADO   --> MONTA BROUSE
		@ 001,001 TO 400,700 DIALOG oDlg TITLE "Selecao de Titulos"
		@ 001,001 TO 170,350 BROWSE "SE1" MARK "E1_OK"
		@ 180,310 BMPBUTTON TYPE 01 ACTION (Exec := .T.,Close(oDlg))
		@ 180,280 BMPBUTTON TYPE 02 ACTION (Exec := .F.,Close(oDlg))
		//@ 180,220 CHECKBOX "Confirma Marcacoes" Var Exec
		//@ 180,300 BUTTON "_Ok" SIZE 40,15 ACTION Close(oDlg)
		ACTIVATE DIALOG oDlg CENTERED
	EndIf
	
	dbGoTop()
	Do While !Eof()
		If Marked("E1_OK")
			AADD(aMarked,.T.)
		Else
			AADD(aMarked,.F.)
		EndIf
		dbSkip()
	EndDo
	dbGoTop()
	If Exec
		Processa({|lEnd|MontaRel(aMarked)})  //MONTA RELATORIO DOS MARCADOS
	Endif
    DbSelectArea("SE1") 
    RetIndex("SE1")
    FErase(cIndexName+OrdBagExt())
EndIf

Return Nil

//------------------------------------------------------------------------------------
Static Function MontaRel(aMarked)
Local oPrint
Local n := 0
Local aBitmap      := {"" ,; //Banner publicitrio         
                       "\system\lgrl01.bmp"      }  //Logo da empresa
//Local aBitmap      := {MV_PAR19                      ,; //Banner publicitrio         
//                       "\Bitmaps\Logo_Siga.bmp"      }  //Logo da empresa
                       
Local aDadosEmp    := {SM0->M0_NOMECOM                                                           ,; //Nome da Empresa
                       SM0->M0_ENDCOB                                                            ,; //Endereo
                       AllTrim(SM0->M0_BAIRCOB)+", "+AllTrim(SM0->M0_CIDCOB)+", "+SM0->M0_ESTCOB ,; //Complemento
                       "CEP: "+Subs(SM0->M0_CEPCOB,1,5)+"-"+Subs(SM0->M0_CEPCOB,6,3)             ,; //CEP
                       "PABX/FAX: "+SM0->M0_TEL                                                  ,; //Telefones
                       "C.G.C.: "+Subs(SM0->M0_CGC,1,2)+"."+Subs(SM0->M0_CGC,3,3)+"."+            ;
                       Subs(SM0->M0_CGC,6,3)+"/"+Subs(SM0->M0_CGC,9,4)+"-"+                       ;
                       Subs(SM0->M0_CGC,13,2)                                                    ,; //CGC
                       "I.E.: "+Subs(SM0->M0_INSC,1,3)+"."+Subs(SM0->M0_INSC,4,3)+"."+            ;
                       Subs(SM0->M0_INSC,7,3)+"."+Subs(SM0->M0_INSC,10,3)                        }  //I.E

Local aDadosTit                       
Local aDadosBanco                       
Local aDatSacado                          
Local aBolText     := { mv_par12}
Local _nVlrDesc := 0
Local _nVlrJuro := 0
Local aBMP      := aBitMap 
Local i         := 1  
Local CB_RN_NN  := {}
Local nRec      := 0
Local _nVlrAbat := 0


   oPrint:= TMSPrinter():New( "Boleto Laser" )  //INSTANCIA O OBJETO
   oPrint:SetPortrait() // ou SetLandscape()
   oPrint:StartPage()   // Inicia uma nova pgina
   dbGoTop()
   Do While !EOF()
      nRec := nRec + 1
      dbSkip()
   EndDo                         
   dbGoTop()
   ProcRegua(nRec)
   Do While !EOF()    
      DbSelectArea("SA6")        //Posiciona o SA6 (Bancos)
      DbSetOrder(1)
      DbSeek(xFilial("SA6")+SE1->E1_PORTADO+SE1->E1_AGEDEP+SE1->E1_CONTA)  
   
      //Posiciona o SEE (Parametros banco)
      DbSelectArea("SEE")
      DbSetOrder(1)
      DbSeek(xFilial("SEE")+SE1->E1_PORTADO+SE1->E1_AGEDEP+SE1->E1_CONTA+MV_PAR08)  

      //Posiciona o SA1 (Cliente)
      DbSelectArea("SA1")
      DbSetOrder(1)
      DbSeek(xFilial("SA1")+SE1->E1_CLIENTE+SE1->E1_LOJA)

      //Posiciona o SE1 (Contas a Receber)      
      DbSelectArea("SE1")  
   
//aDadosBanco 2,3,4 E 5 --> ALT. VALDEIR
//2       SA6->A6_NREDUZ                                       ,;               //2-Nome do Banco
//3       Iif(SA6->A6_COD=="479",AllTrim(SEE->EE_CODEMP),SubStr(AllTrim(SA6->A6_NUMCON),1,Len(AllTrim(SA6->A6_NUMCON))-1)),;   //4-Conta Corrente
//4       Iif(SA6->A6_COD=="479","",SubStr(AllTrim(SA6->A6_NUMCON),Len(AllTrim(SA6->A6_NUMCON)),1))  ,;               //5-Dgito da conta corrente
//5       Iif(SA6->A6_COD=="479",StrZero(Val(AllTrim(SEE->EE_AGBOSTO)),7),SubStr(StrZero(Val(AllTrim(SA6->A6_AGENCIA)),5),1,4)+"-"+SubStr(StrZero(Val(AllTrim(SA6->A6_AGENCIA)),5),5,1)),;   //3-Agncia

	If Empty(AllTrim(SA6->A6_BCOCORR)) // Busca os dados do banco normalmente
		_lBcoCorrespondente := .f.
      aDadosBanco  := {SA6->A6_COD                                       ,;               //1-Numero do Banco
                       Iif(SA6->A6_COD=="389","MERCANTIL DO BRASIL",SA6->A6_NREDUZ )                                       ,;               //2-Nome do Banco
                       Agencia(SA6->A6_COD, SA6->A6_AGENCIA),;   //3-Agncia
                       Conta(SA6->A6_COD, SA6->A6_NUMCON),;   //4-Conta Corrente
                       Iif(SA6->A6_COD $ "479/389","",SubStr(AllTrim(SA6->A6_NUMCON),Len(AllTrim(SA6->A6_NUMCON)),1))  ,;               //5-Dgito da conta corrente
                       AllTrim(SEE->EE_CARTEIR),;                //6-Carteira
                       Iif(!Empty(AllTrim(SEE->EE_VARIACA)),"-"+SEE->EE_VARIACA,""),;                //7-Variacao da Carteira
                       ""  }                //8-Reservado para o banco correspondente
	Else  // Busca os dados do banco correspondente
		_lBcoCorrespondente := .t.
      aDadosBanco  := {SA6->A6_BCOCORR                                       ,;               //1-Numero do Banco
                       Iif(SA6->A6_BCOCORR=="389","MERCANTIL DO BRASIL",SA6->A6_DESCORR )                                       ,;               //2-Nome do Banco
                       Agencia(SA6->A6_BCOCORR, SA6->A6_AGECORR),;   //3-Agncia
                       Conta(SA6->A6_BCOCORR, SA6->A6_CTACORR),;   //4-Conta Corrente
                       Iif(SA6->A6_BCOCORR $ "479/389","",SubStr(AllTrim(SA6->A6_BCOCORR),Len(AllTrim(SA6->A6_BCOCORR)),1))  ,;               //5-Dgito da conta corrente
                       AllTrim(SEE->EE_CARTEIR),;                //6-Carteira
                       Iif(!Empty(AllTrim(SEE->EE_VARIACA)),"-"+SEE->EE_VARIACA,""),;                //7-Variacao da Carteira
                       Iif(SA6->A6_COD=="389","MERCANTIL DO BRASIL",SA6->A6_NREDUZ) }                //8-Descricao do banco a ser creditado
	Endif
		If Empty(Alltrim(SA1->A1_ENDCOB))  // Busca o endereco de cobranca
	      aDatSacado   := {AllTrim(SA1->A1_NOME)                            ,;      //1-Razo Social 
    	                   AllTrim(SA1->A1_COD )                            ,;      //2-Cdigo
        	               AllTrim(SA1->A1_END)+" - "+SA1->A1_BAIRRO         ,;      //3-Endereo
            	           AllTrim(SA1->A1_MUN )                            ,;      //4-Cidade
                	       SA1->A1_EST                                      ,;      //5-Estado
                    	   SA1->A1_CEP                                      ,;      //6-CEP     
	                       SA1->A1_CGC                                      }       //7-CGC/CPF     
	 	Else    // Busca o endereco normal
	      aDatSacado   := {AllTrim(SA1->A1_NOME)                            ,;      //1-Razo Social 
    	                   AllTrim(SA1->A1_COD )                            ,;      //2-Cdigo
        	               AllTrim(SA1->A1_ENDCOB)+"-"+SA1->A1_BAIRROC         ,;      //3-Endereo
            	           AllTrim(SA1->A1_MUNC )                            ,;      //4-Cidade
                	       SA1->A1_ESTC                                      ,;      //5-Estado
                    	   SA1->A1_CEPC                                      ,;      //6-CEP     
	                       SA1->A1_CGC                                      }       //7-CGC/CPF     
	  	Endif
      
      // Se j possuir Nosso Nmero, no permite imprimir o boleto.
/*      If !Empty(SE1->E1_NUMBCO)
         Alert("Ateno! No  possvel imprimir o Boleto Bancrio, pois o mesmo j foi impresso.";
            +" Favor utilizar a reimpresso no Gerenciador Financeiro do Banco do Brasil.")
         Return      
      EndIf     */

      //VALOR DOS TITULOS TIPO "AB-"
      _nVlrAbat   :=  SomaAbat(SE1->E1_PREFIXO,SE1->E1_NUM,SE1->E1_PARCELA,"R",1,,SE1->E1_CLIENTE,SE1->E1_LOJA)

      //montando codigo de barras

//      CB_RN_NN    := Ret_cBarra(Subs(aDadosBanco[1],1,3)+"9",Subs(aDadosBanco[3],1,4),aDadosBanco[4],aDadosBanco[5],;
//                       SubStr(aDadosBanco[6],1,2),AllTrim(E1_NUM)+AllTrim(E1_PARCELA),(E1_VALOR-_nVlrAbat),SE1->E1_VENCREA,SEE->EE_CODEMP,SEE->EE_FAXATU,Iif(SE1->E1_DECRESC > 0,.t.,.f.))   
//ALTERADO POR VALDEIR ("VENCREA" POR "VENCTO")

      CB_RN_NN    := Ret_cBarra(Subs(aDadosBanco[1],1,3)+"9",Subs(aDadosBanco[3],1,4),aDadosBanco[4],aDadosBanco[5],;
                       aDadosBanco[6],AllTrim(E1_NUM)+AllTrim(E1_PARCELA),(E1_SALDO-_nVlrAbat),SE1->E1_VENCTO,SEE->EE_CODEMP,SEE->EE_FAXATU,Iif(SE1->E1_DECRESC > 0,.t.,.f.),SE1->E1_PARCELA,aDadosBanco[3])

      aDadosTit    :=  {AllTrim(E1_NUM)+AllTrim(E1_PARCELA)	,;  //1-Nmero do ttulo
                       E1_EMISSAO								,;  //2-Data da emisso do ttulo
                       dDataBase									,;  //3-Data da emisso do boleto
                       E1_VENCTO								,;  //4-Data do vencimento
                       (E1_SALDO - _nVlrAbat)					,;  //5-Valor do ttulo
                       AllTrim(CB_RN_NN[3])						,;  //6-Nosso nmero (Ver frmula para calculo)
                       SE1->E1_DECRESC							,;  // 7-VAlor do Desconto do titulo
                       SE1->E1_VALJUR                           }   // ,;
//                       SE1->E1_NF01                             ,;
//                       SE1->E1_NF02                             ,;
//                       SE1->E1_NF03                             ,;
 //                      SE1->E1_NF04                             ,;
  //                     SE1->E1_NF05                              }  // 8-Valor dos juros do titulo

//      If n > mv_par10 - 1
//         n := 0
//      EndIf
// 
//IMPRESSAO DA LOGO   
//NAO ESTA FUNCIONANDO
// 
//      If MV_PAR18 = 1    
//         aBMP[1] := "\Bitmaps\Banner"+str(n,1,0)+".bp"
//      EndIf   

//MONTAGEM DO BOLETO
      If aMarked[i]
         Impress(oPrint,aBMP,aDadosEmp,aDadosTit,aDadosBanco,aDatSacado,aBolText,CB_RN_NN)
         n := n + 1

	      DbSelectArea("SEE")
	      RecLock("SEE",.f.)
		  SEE->EE_FAXATU := StrZero(Val(SEE->EE_FAXATU) + 1,10)  //INCREMENTA P/ TODOS OS BANCOS
		  DbUnlock()
	      DbSelectArea("SE1")
	      RecLock("SE1",.f.)
		  SE1->E1_NUMBCO := CB_RN_NN[3]   //GRAVA NOSSO NUMERO NO TITULO
		  DbUnlock()
      EndIf   
      DbSelectArea("SE1")  
      dbSkip()          
      IncProc()
      i := i + 1
   EndDo   
   oPrint:EndPage()     // Finaliza a pgina
   oPrint:Preview()     // Visualiza antes de imprimir
   //oPrinter:Print()   // Imprime direto na impressora default do AP5
Return nil

Static Function Impress(oPrint,aBitmap,aDadosEmp,aDadosTit,aDadosBanco,aDatSacado,aBolText,CB_RN_NN)

//oFont?? = tamanho da fonte usada
Local oFont8
Local oFont10
Local oFont12
Local oFont16
Local oFont16n     
Local oFont20
Local oFont24
Local i := 0
Local aCoords1 := {150,1900,250,2300}  // FICHA DO SACADO
Local aCoords2 := {420,1900,490,2300}  // FICHA DO SACADO
Local aCoords3 := {1270,1900,1370,2300} // FICHA DO CAIXA
Local aCoords4 := {1540,1900,1610,2300} // FICHA DO CAIXA
Local aCoords5 := {2390,1900,2490,2300} // FICHA DE COMPENSACAO
Local aCoords6 := {2660,1900,2730,2300} // FICHA DE COMPENSACAO
Local oBrush  //fundo no valor do titulo

//Parmetros de TFont.New()
//1.Nome da Fonte (Windows)
//3.Tamanho em Pixels
//5.Bold (T/F)
oFont8  := TFont():New("Arial",9,8 ,.T.,.F.,5,.T.,5,.T.,.F.)
oFont10 := TFont():New("Arial",9,10,.T.,.T.,5,.T.,5,.T.,.F.)
oFont12 := TFont():New("Arial",9,13,.T.,.T.,5,.T.,5,.T.,.F.)
oFont14	:= TFont():New("Arial",9,14,.T.,.T.,5,.T.,5,.T.,.F.)
oFont14n:= TFont():New("Arial",9,13,.T.,.F.,5,.T.,5,.T.,.F.)
oFont16 := TFont():New("Arial",9,16,.T.,.T.,5,.T.,5,.T.,.F.)
oFont16n:= TFont():New("Arial",9,16,.T.,.F.,5,.T.,5,.T.,.F.)
oFont20 := TFont():New("Arial",9,20,.T.,.T.,5,.T.,5,.T.,.F.)
oFont24 := TFont():New("Arial",9,24,.T.,.T.,5,.T.,5,.T.,.F.)

//cProt := MV_PAR12

//oBrush := TBrush():New("",4)
//oBrush := TBrush():New(,CLR_BLUE,,)
oBrush := TBrush():New(,,,)

oPrint:StartPage()   // Inicia uma nova pgina

//Ŀ
// Ficha do Caixa                                                     
//
	oPrint:Line (150,100,150,2300)   

//	oPrint:Say  (84,100,aDadosBanco[2],oFont16 ) //ALT. VALDEIR
If aDadosBanco[1] == "389"
	oPrint:Say  (84,100,aDadosBanco[2],oFont10 ) 
Else
	oPrint:Say  (84,100,aDadosBanco[2], oFont12) // oFont16 ) 
Endif

	oPrint:Say  (84,1850,"Comprovante de Entrega"                              ,oFont10)

	oPrint:Line (250,100,250,1300 )
	oPrint:Line (350,100,350,1300 )
	oPrint:Line (420,100,420,2300 )
	oPrint:Line (490,100,490,2300 )

	oPrint:Line (350,400,420,400)
	oPrint:Line (420,500,490,500)
	oPrint:Line (350,625,420,625)
	oPrint:Line (350,750,420,750)

	oPrint:Line (150,1300,490,1300 )
	oPrint:Line (150,2300,490,2300 )
	oPrint:Say  (150,1310 ,"MOTIVOS DE NO ENTREGA (para uso do entregador)"                             ,oFont8) 
	oPrint:Say  (200,1310 ,"|   | Mudou-se"                             ,oFont8) 
	oPrint:Say  (270,1310 ,"|   | Recusado"                             ,oFont8) 
	oPrint:Say  (340,1310 ,"|   | Desconhecido"                             ,oFont8) 

	oPrint:Say  (200,1580 ,"|   | Ausente"                             ,oFont8) 
	oPrint:Say  (270,1580 ,"|   | No Procurado"                             ,oFont8) 
	oPrint:Say  (340,1580 ,"|   | Endereo insuficiente"                             ,oFont8) 

	oPrint:Say  (200,1930 ,"|   | No existe o Nmero"                             ,oFont8) 
	oPrint:Say  (270,1930 ,"|   | Falecido"                             ,oFont8) 
	oPrint:Say  (340,1930 ,"|   | Outros(anotar no verso)"                             ,oFont8) 

	oPrint:Say  (420,1310 ,"Recebi(emos) o bloqueto"                             ,oFont8) 
	oPrint:Say  (450,1310 ,"com os dados ao lado."                             ,oFont8) 
	oPrint:Line (420,1700,490,1700)
	oPrint:Say  (420,1705 ,"Data"                             ,oFont8) 
	oPrint:Line (420,1900,490,1900)
	oPrint:Say  (420,1905 ,"Assinatura"                             ,oFont8) 

	oPrint:Say  (150,100 ,"Beneficiario"                             ,oFont8) 
	oPrint:Say  (190,115 ,"Indstria de Tempero Regina Ltda - 10.704.112/0001-87"   ,oFont10)
//	oPrint:Say  (190,100 ,Iif(_lBcoCorrespondente,aDadosBanco[8],aDadosEmp[1])   ,oFont10)
 
	oPrint:Say  (250,100 ,"Pagador"                              ,oFont8) 
    oPrint:Say  (290,115 ,aDatSacado[1]                         ,oFont10)
// 	oPrint:Say  (290,115 ,aDatSacado[1]+" ("+aDatSacado[2]+")"  ,oFont10)

	oPrint:Say  (350,100 ,"Data do Vencimento"                              ,oFont8)  
//	oPrint:Say  (380,100 ,DTOC(aDadosTit[4])             ,oFont10)  //ALT. VALDEIR
// If aDadosBanco[1] == "237"  //SE BRADESCO
	oPrint:Say  (380,115 ,Substring(DTOS(aDadosTit[4]),7,2)+"/"+Substring(DTOS(aDadosTit[4]),5,2)+"/"+Substring(DTOS(aDadosTit[4]),1,4)  ,oFont10)
/* Else
	oPrint:Say  (380,100 ,DTOC(aDadosTit[4])                               ,oFont10) 
Endif */


	oPrint:Say  (350,405 ,"N Documento"                                  ,oFont8) 
	oPrint:Say  (380,450 ,aDadosTit[1]                                     ,oFont10)

	oPrint:Say  (350,630,"Moeda"                                   ,oFont8)
	oPrint:Say  (380,655,"R$"     				                            ,oFont10)

	oPrint:Say  (350,755,"Valor / Quantidade"                               ,oFont8) 
	oPrint:Say  (380,765,AllTrim(Transform(aDadosTit[5],"@E 999,999,999.99")),oFont10)

	oPrint:Say  (420,100 ,"Agncia / Cdigo Beneficiario"                           ,oFont8)      
	oPrint:Say  (450,115,aDadosBanco[3]+"/"+aDadosBanco[4]+"-9",oFont10)
//	oPrint:Say  (450,115,aDadosBanco[3]+"/"+aDadosBanco[4]+Iif(!Empty(aDadosBanco[5]),"-"+aDadosBanco[5],""),oFont10)

	oPrint:Say  (420,505,"Nosso Nmero"                                   ,oFont8)   
	oPrint:Say  (450,520,aDadosTit[6]                                     ,oFont10)  
 
	/* For i := 100 to 2300 step 50
	   oPrint:Line( 520, i, 520, i+30)
	Next i */

	For i := 100 to 2300 step 50
	   oPrint:Line( 880, i, 880, i+30)
	Next i
	
//Endif

//Ŀ
// Ficha do Sacado                                                      
//
/* If aDadosBanco[1] <> "341"
	oPrint:FillRect(aCoords3,oBrush)    // Glaudson
	oPrint:FillRect(aCoords4,oBrush)    // Glaudson
Endif */

oPrint:Line (1070,100,1070,2300)   
oPrint:Line (1070,650,0970,650 )
oPrint:Line (1070,900,0970,900 ) 
oPrint:Line (1205,100,1205,2300) //Adicionado Por Ronner Beneficirio e CNPJ, logo abaixo Local de Pagamento

//oPrint:Say  (1204,100,aDadosBanco[2],oFont16 ) //ALT. VALDEIR
If aDadosBanco[1] == "389"
oPrint:Say  (1004,100,aDadosBanco[2],oFont10 ) 
Else
oPrint:Say  (1004,100,aDadosBanco[2], oFont12 ) // oFont16 )
Endif

oPrint:Say  (0982,680,aDadosBanco[1]+"-"+Modulo11(aDadosBanco[1],aDadosBanco[1]),oFont20 ) 
//oPrint:Say  (1204,920,CB_RN_NN[2],oFont14n)   //LINHA DIGITAVEL


oPrint:Line (1130,100,1130,2300 )
oPrint:Line (1270,100,1270,2300 ) 
oPrint:Line (1340,100,1340,2300 )
oPrint:Line (1410,100,1410,2300 )
        
oPrint:Line (1270,500,1410,500)
oPrint:Line (1340,750,1410,750)
oPrint:Line (1270,1000,1410,1000)
oPrint:Line (1270,1350,1340,1350)
oPrint:Line (1270,1550,1410,1550)

oPrint:Say  (1070,100 ,"Local de Pagamento"                             ,oFont8) 
//oPrint:Say  (1310,100 ,"Qualquer banco at a data do vencimento"        ,oFont10) //ALT. VALDEIR
If aDadosBanco[1] == "237"
oPrint:Say  (1110,100 ,"Pagvel preferencialmente em qualquer Agncia Bradesco" ,oFont10)
ElseIf aDadosBanco[1] == "341"
oPrint:Say  (1110,100 ,"At o vencimento, preferencialmente no Itau ou Banerje e Aps o vencimento, somente no Itau ou Banerj" ,oFont10)
Else
oPrint:Say  (1090,115 ,"QUALQUER BANCO AT O VENCIMENTO" ,oFont10) //Ronner
Endif

oPrint:Say  (1070,1910,"Vencimento"                                     ,oFont8)
//oPrint:Say  (1310,2010,DTOC(aDadosTit[4])                               ,oFont10)
// If aDadosBanco[1] == "237"  //SE BRADESCO
	oPrint:Say  (1090,2005,PadL(AllTrim(Substring(DTOS(aDadosTit[4]),7,2)+"/"+Substring(DTOS(aDadosTit[4]),5,2)+"/"+Substring(DTOS(aDadosTit[4]),1,4)),16," ")  ,oFont10)
/* Else
	oPrint:Say  (1110,2005,PadL(AllTrim(DTOC(aDadosTit[4])),16)                               ,oFont10)
Endif */

 
oPrint:Say  (1140,100 ,"Beneficiario:",oFont8) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656
oPrint:Say  (1170,115 ,"Indstria de Tempero Regina Ltda",oFont10)
oPrint:Say  (1140,1500 ,"CNPJ",oFont8)  //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656 
oPrint:Say  (1170,1550 ,"10.704.112/0001-87",oFont10) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656 
oPrint:Say  (1210,100 ,"Endereo:",oFont8) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656
oPrint:Say  (1227,115 ,"Av. Alberto Maranho,100,Belo Horizonte,Mossor/RN,CEP: 59.600-475",oFont10) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656
// oPrint:Say  (1210,100 ,Iif(_lBcoCorrespondente,aDadosBanco[8],aDadosEmp[1]),oFont10)

oPrint:Say  (1170,1910,"Agncia / Cdigo Beneficiario"                         ,oFont8) 
oPrint:Say  (1210,2005,PadL(AllTrim(aDadosBanco[3]+"/"+aDadosBanco[4]+"-9"),16," "),oFont10)
// oPrint:Say  (1210,2005,PadL(AllTrim(aDadosBanco[3]+"/"+aDadosBanco[4]+Iif(!Empty(aDadosBanco[5]),"-"+aDadosBanco[5],"")),16," "),oFont10)

oPrint:Say  (1270,100 ,"Data do Documento"                              ,oFont8)  
//oPrint:Say  (1500,100 ,DTOC(aDadosTit[3])     ,oFont10) //ALT. VALDEIR
// If aDadosBanco[1] == "237"  //SE BRADESCO
	oPrint:Say  (1300,115 ,Substring(DTOS(aDadosTit[3]),7,2)+"/"+Substring(DTOS(aDadosTit[3]),5,2)+"/"+Substring(DTOS(aDadosTit[3]),1,4)  ,oFont10)
/* Else
	oPrint:Say  (1300,100 ,DTOC(aDadosTit[3])                               ,oFont10) 
Endif */


oPrint:Say  (1270,505 ,"N do Documento"                                  ,oFont8) 
oPrint:Say  (1300,595 ,aDadosTit[1]                                     ,oFont10)

oPrint:Say  (1270,1005,"Espcie Doc."                                   ,oFont8)
oPrint:Say  (1300,1105,"DM"                                             ,oFont10)

oPrint:Say  (1270,1355,"Aceite"                                         ,oFont8) 
oPrint:Say  (1300,1455,"N"                                             ,oFont10)

oPrint:Say  (1270,1555,"Data do Processamento"                          ,oFont8) 
//oPrint:Say  (1500,1655,DTOC(aDadosTit[2])     ,oFont10)  //ALT. VALDEIR
// If aDadosBanco[1] == "237"   //SE BRADESCO
oPrint:Say  (1300,1655,Substring(DTOS(aDadosTit[2]),7,2)+"/"+Substring(DTOS(aDadosTit[2]),5,2)+"/"+Substring(DTOS(aDadosTit[2]),1,4)  ,oFont10)
/* Else
oPrint:Say  (1300,1655,DTOC(aDadosTit[2])                               ,oFont10)
Endif */


oPrint:Say  (1270,1910,"Nosso Nmero"                                   ,oFont8)   
//oPrint:Say  (1300,1990,PadL(AllTrim(aDadosTit[6]),17," ")                  ,oFont10)  
oPrint:Say  (1300,1970,PadL(AllTrim(aDadosTit[6]),17," ")                  ,oFont10)  
// oPrint:Say  (1300,2005,PadL(AllTrim(aDadosTit[6]),17," ")                  ,oFont10)  

oPrint:Say  (1340,100 ,"Uso do Banco"                                   ,oFont8)      
If aDadosBanco[1] == "409"
	oPrint:Say  (1370,100,"cvt 5539-5",oFont10)
Endif

oPrint:Say  (1340,505 ,"Carteira"                                       ,oFont8)     
oPrint:Say  (1370,555 ,aDadosBanco[6]+aDadosBanco[7]                    ,oFont10)     

oPrint:Say  (1340,755 ,"Espcie"                                        ,oFont8)   
oPrint:Say  (1370,805 ,"R$"                                             ,oFont10)  

oPrint:Say  (1340,1005,"Quantidade"                                     ,oFont8) 
oPrint:Say  (1340,1555,"Valor"                                          ,oFont8)            

oPrint:Say  (1340,1910,"(=) Valor do Documento"                          ,oFont8) 
oPrint:Say  (1370,2005,PadL(AllTrim(Transform(aDadosTit[5],"@E 999,999,999.99")),16," "),oFont10)

If aDadosBanco[1] == "341"
	oPrint:Say  (1410,100 ,"Instrues/Todos as informaes deste bloqueto so de exclusiva responsabilidade do Beneficiario",oFont8)     
Else
	oPrint:Say  (1410,100 ,"Instrues:",oFont8)     
Endif      

oPrint:Say  (1460,130 ,"JUROS DE MORA DE R$ "+AllTrim(Transform(((aDadosTit[5]*0.01)/30),"@E 999,999.99"))+" AO DIA",oFont10)     
oPrint:Say  (1510,130 ,"MULTA DE R$ "+AllTrim(Transform((aDadosTit[5]*0.05),"@E 999,999.99"))+" APS VENCIMENTO",oFont10)     
oPrint:Say  (1560,130 ,"ATENO! PROTESTO 07 DIAS APS O VENCIMENTO."      ,oFont10)
oPrint:Say  (1610,130 ,"NO ACEITAR PAGAMENTO MENOR QUE O TOTAL ESPECIFICADO NESTE CARNET."      ,oFont10)
oPrint:Say  (1660,130 ,"SR. CAIXA, NO ACEITAR PAGAMENTO APS 25 DIAS DO VENCIMENTO"      ,oFont10) 

//oPrint:Say  (1510,130 ,MV_PAR12                                                  ,oFont10)     // "PROTESTAR NO 10o. DIA CORRIDO APS O VENCIMENTO." 
//oPrint:Say  (1560,130 ,"REFERENTE NF " +aDadosTit[9]+" "+aDadosTit[10]+" "+aDadosTit[11]+" "+aDadosTit[12]+" "+aDadosTit[13],oFont10)
// oPrint:Say  (1610,130 ,MV_PAR13                                                                                            ,oFont10)

// oPrint:Say  (1460,100 ,Iif(aDadosTit[7]>0,"Conceder desconto de R$ "+AllTrim(Transform(aDadosTit[7],"@E 999,999.99"))+" ate o vencimento","") ,oFont10)     
// oPrint:Say  (1510,100 ,Iif(aDadosTit[8]>0,"Cobrar juros/mora dia de R$ "+AllTrim(Transform(aDadosTit[8],"@E 999,999.99")),"") ,oFont10)     
// oPrint:Say  (1560,100 ,aBolText[1]                                      ,oFont10)     
// oPrint:Say  (1610,100 ,aBolText[2]                                      ,oFont10)     
// oPrint:Say  (1660,100 ,aBolText[3]                                      ,oFont10)    

oPrint:Say  (1410,1910,"(-) Desconto / Abatimento"                         ,oFont8) 
oPrint:Say  (1480,1910,"(-) Outras dedues"                             ,oFont8)
oPrint:Say  (1550,1910,"(+) Juros / Multa"                                  ,oFont8)
oPrint:Say  (1620,1910,"(+) Outros acrscimos"                           ,oFont8)
oPrint:Say  (1690,1910,"(=) Valor cobrado"                               ,oFont8)

oPrint:Say  (1760 ,100 ,"Pagador:"                                         ,oFont8) 
oPrint:Say  (1762 ,360 ,AllTrim(aDatSacado[1])+" - CNPJ/CPF: "+Iif(Len(AllTrim(aDatSacado[7]))==14,Transform(aDatSacado[7],"@R 99.999.999/9999-99"),Transform(aDatSacado[7],"@R 999.999.999-99")),oFont8) //coluna 210 padro
oPrint:Say  (1802 ,360 ,aDatSacado[3]                                    ,oFont8)
oPrint:Say  (1842 ,360 ,Transform(aDatSacado[6],"@R 99999-999")+"  "+aDatSacado[4]+" - "+aDatSacado[5],oFont8)
//oPrint:Say  (2070 ,200 ,aDatSacado[6]                                    ,oFont10)
oPrint:Say  (1870 ,100 ,"Pagador / Avalista:"                              ,oFont8)   

//oPrint:Say  (1725,100 ,"Sacador/Avalista"+Iif(_lBcoCorrespondente,aDadosEmp[1],"")                               ,oFont8)   
oPrint:Say  (1910,1500,"Autenticao mecnica "                        ,oFont8)  
oPrint:Say  (1004,1850,"Recibo do Pagador"                              ,oFont10)
//oPrint:Say  (2110,1850,"Ficha de Caixa"                                  ,oFont10)

oPrint:Line (1070,1900,1760,1900 )
oPrint:Line (1480,1900,1480,2300 )
oPrint:Line (1550,1900,1550,2300 )
oPrint:Line (1620,1900,1620,2300 )
oPrint:Line (1690,1900,1690,2300 )  
oPrint:Line (1760,100 ,1760,2300 )
oPrint:Line (1905,100,1905,2300  )     

//Gambiarra, descobrir como mudar tipo da linha.  PONTILHAMENTO
For i := 100 to 2300 step 50
   oPrint:Line( 2070, i, 2070, i+30)
Next i                                                                


//Ŀ
// Ficha de Compensacao                                                
//
/* If aDadosBanco[1] <> "341"
	oPrint:FillRect(aCoords5,oBrush) // Glaudson
  	oPrint:FillRect(aCoords6,oBrush) // Glaudson
Endif */

oPrint:Line (2190,100,2190,2300)   
oPrint:Line (2190,650,2090,650 )
oPrint:Line (2190,900,2090,900 ) 
oPrint:Line (2330,100,2330,2300) //Adicionado Por Ronner Beneficirio e CNPJ, logo abaixo Local de Pagamento

//oPrint:Say  (2324,100,aDadosBanco[2],oFont16 ) //ALT. VALDEIR
If aDadosBanco[1] == "389"
oPrint:Say  (2124,100,aDadosBanco[2],oFont10 )
Else
oPrint:Say  (2124,100,aDadosBanco[2], oFont12 ) // oFont16 )
Endif

oPrint:Say  (2102,680,aDadosBanco[1]+"-"+Modulo11(aDadosBanco[1],aDadosBanco[1]),oFont20 ) 
oPrint:Say  (2124,920,CB_RN_NN[2],oFont14n) //linha digitavel

oPrint:Line (2260,100,2260,2300 ) //Ronner
oPrint:Line (2390,100,2390,2300 )
oPrint:Line (2460,100,2460,2300 )
oPrint:Line (2530,100,2530,2300 )

oPrint:Line (2390,500,2530,500)
oPrint:Line (2460,750,2530,750)
oPrint:Line (2390,1000,2530,1000)
oPrint:Line (2390,1350,2460,1350)
oPrint:Line (2390,1550,2530,1550)

oPrint:Say  (2190,100 ,"Local de Pagamento"                             ,oFont8) 
//oPrint:Say  (2430,100 ,"Qualquer banco at a data do vencimento"        ,oFont10) //ALT. VALDEIR
If aDadosBanco[1] == "237"  //SE BRADESCO
oPrint:Say  (2230,100 ,"Pagvel preferencialmente em qualquer Agncia Bradesco"       ,oFont10)
ElseIf aDadosBanco[1] == "341"
oPrint:Say  (2230,100 ,"At o vencimento, preferencialmente no Itau ou Banerje e Aps o vencimento, somente no Itau ou Banerj" ,oFont10)
Else
oPrint:Say  (2220,115 ,"QUALQUER BANCO AT O VENCIMENTO"       ,oFont10) //Ronner
Endif


oPrint:Say  (2190,1910,"Vencimento"                                     ,oFont8) //Ronner
//oPrint:Say  (2430,2010,DTOC(aDadosTit[4])                               ,oFont10)
// If aDadosBanco[1] == "237"   //SE BRADESCO
	oPrint:Say  (2220,2005,PadL(AllTrim(Substring(DTOS(aDadosTit[4]),7,2)+"/"+Substring(DTOS(aDadosTit[4]),5,2)+"/"+Substring(DTOS(aDadosTit[4]),1,4)),16," ")  ,oFont10) //Ronner
/*Else
	oPrint:Say  (2230,2005,PadL(AllTrim(DTOC(aDadosTit[4])),16," ")                               ,oFont10)
Endif */

 
oPrint:Say  (2260,100 ,"Beneficiario"                                        ,oFont8) 
oPrint:Say  (2285,115 ,"Indstria de Tempero Regina Ltda - 10.704.112/0001-87"                                     ,oFont10)
// oPrint:Say  (2330,100 ,Iif(_lBcoCorrespondente,aDadosBanco[8],aDadosEmp[1])                                     ,oFont10)
oPrint:Say  (2260,1500 ,"CNPJ",oFont8)  //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656 
oPrint:Say  (2285,1550 ,"10.704.112/0001-87",oFont10) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656 
oPrint:Say  (2330,100 ,"Endereo:",oFont8) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656
oPrint:Say  (2348,115 ,"Av. Alberto Maranho,100,Belo Horizonte,Mossor/RN,CEP: 59.600-475",oFont10) //Customizado por Ronner Ciruclar Banco Central 3.598 e 3.656                                  ,oFont10)

oPrint:Say  (2290,1910,"Agncia / Cdigo Beneficiario"                         ,oFont8) 
oPrint:Say  (2330,2010,PadL(AllTrim(aDadosBanco[3]+"/"+aDadosBanco[4]+"-9"),16," "),oFont10)
// oPrint:Say  (2330,2010,PadL(AllTrim(aDadosBanco[3]+"/"+aDadosBanco[4]+Iif(!Empty(aDadosBanco[5]),"-"+aDadosBanco[5],"")),16," "),oFont10)

oPrint:Say  (2390,100 ,"Data do Documento"                              ,oFont8)  
//oPrint:Say  (2620,100 ,DTOC(aDadosTit[3])           ,oFont10) //ALT. VALDEIR
// If aDadosBanco[1] == "237"   //SE BRADESCO
oPrint:Say  (2420,115 ,Substring(DTOS(aDadosTit[3]),7,2)+"/"+Substring(DTOS(aDadosTit[3]),5,2)+"/"+Substring(DTOS(aDadosTit[3]),1,4)  ,oFont10)
/* Else                                                                                
oPrint:Say  (2420,100 ,DTOC(aDadosTit[3])                               ,oFont10) 
Endif */


oPrint:Say  (2390,505 ,"N do Documento"                                  ,oFont8) 
oPrint:Say  (2420,605 ,aDadosTit[1]                                     ,oFont10)

oPrint:Say  (2390,1005,"Espcie Doc."                                   ,oFont8)
oPrint:Say  (2420,1105,"DM"                                             ,oFont10)

oPrint:Say  (2390,1355,"Aceite"                                         ,oFont8) 
oPrint:Say  (2420,1455,"N"                                             ,oFont10)

oPrint:Say  (2390,1555,"Data do Processamento"                          ,oFont8) 
//oPrint:Say  (2620,1655,DTOC(aDadosTit[2])          ,oFont10) //ALT. VALDEIR
// If aDadosBanco[1] == "237"   //SE BRADESCO
oPrint:Say  (2420,1655,Substring(DTOS(aDadosTit[2]),7,2)+"/"+Substring(DTOS(aDadosTit[2]),5,2)+"/"+Substring(DTOS(aDadosTit[2]),1,4)  ,oFont10)
/* Else
oPrint:Say  (2420,1655,DTOC(aDadosTit[2])                               ,oFont10)
Endif */


oPrint:Say  (2390,1910,"Nosso Nmero"                                   ,oFont8)   
//oPrint:Say  (2420,1990,PadL(AllTrim(aDadosTit[6]),17," ")                                     ,oFont10)  
oPrint:Say  (2420,1970,PadL(AllTrim(aDadosTit[6]),17," ")                  ,oFont10)  
// oPrint:Say  (2420,2010,PadL(AllTrim(aDadosTit[6]),17," ")                                     ,oFont10)  

oPrint:Say  (2460,100 ,"Uso do Banco"                                   ,oFont8)      
If aDadosBanco[1] == "409"
	oPrint:Say  (2490,100 ,"cvt 5539-5"  ,oFont10)
Endif

oPrint:Say  (2460,505 ,"Carteira"                                       ,oFont8)     
oPrint:Say  (2490,555 ,aDadosBanco[6]+aDadosBanco[7]                    ,oFont10)     

oPrint:Say  (2460,755 ,"Espcie"                                        ,oFont8)   
oPrint:Say  (2490,805 ,"R$"                                             ,oFont10)  

oPrint:Say  (2460,1005,"Quantidade"                                     ,oFont8) 
oPrint:Say  (2460,1555,"Valor"                                          ,oFont8)            

oPrint:Say  (2460,1910,"(=) Valor do Documento"                          ,oFont8) 
oPrint:Say  (2490,2010,PadL(AllTrim(Transform(aDadosTit[5],"@E 999,999,999.99")),16," "),oFont10)

If aDadosBanco[1] == "341"
	oPrint:Say  (2530,100 ,"Instrues/Todos as informaes deste bloqueto so de exclusiva responsabilidade do Beneficiario",oFont8)     
Else
	oPrint:Say  (2530,100 ,"Instrues:",oFont8)
Endif
//oPrint:Say  (2580,130 ,"APS O VENCIMENTO, JUROS AO DIA DE R$ "+AllTrim(Transform(((aDadosTit[5]*0.1)/30),"@E 999,999.99")),oFont10)     
//oPrint:Say  (2630,130 ,MV_PAR12                                                  ,oFont10)  // "PROTESTAR NO 10o. DIA CORRIDO APS O VENCIMENTO."

oPrint:Say  (2580,130 ,"JUROS DE MORA DE R$ "+AllTrim(Transform(((aDadosTit[5]*0.01)/30),"@E 999,999.99"))+" AO DIA",oFont10)     
oPrint:Say  (2630,130 ,"MULTA DE R$ "+AllTrim(Transform((aDadosTit[5]*0.05),"@E 999,999.99"))+" APS VENCIMENTO",oFont10)     
oPrint:Say  (2680,130 ,"ATENO! PROTESTO 07 DIAS APS O VENCIMENTO."      ,oFont10)
oPrint:Say  (2730,130 ,"NO ACEITAR PAGAMENTO MENOR QUE O TOTAL ESPECIFICADO NESTE CARNET."      ,oFont10)
oPrint:Say  (2780,130 ,"SR. CAIXA, NO ACEITAR PAGAMENTO APS 25 DIAS DO VENCIMENTO"      ,oFont10) 


//oPrint:Say  (2680,130 ,"REFERENTE NF "+aDadosTit[9]+" "+aDadosTit[10]+" "+aDadosTit[11]+" "+aDadosTit[12]+" "+aDadosTit[13],oFont10)
//oPrint:Say  (2730,130 ,                                                                                            ,oFont10)

// oPrint:Say  (2580,100 ,Iif(aDadosTit[7]>0,"Conceder desconto de R$ "+AllTrim(Transform(aDadosTit[7],"@E 999,999.99"))+" ate o vencimento","") ,oFont10)     
// oPrint:Say  (2630,100 ,Iif(aDadosTit[8]>0,"Cobrar juros/mora dia de R$ "+AllTrim(Transform(aDadosTit[8],"@E 999,999.99")),"") ,oFont10)     
// oPrint:Say  (2680,100 ,aBolText[1]                                      ,oFont10)     
// oPrint:Say  (2730,100 ,aBolText[2]                                      ,oFont10)     
// oPrint:Say  (2780,100 ,aBolText[3]                                      ,oFont10)    

oPrint:Say  (2530,1910,"(-) Desconto / Abatimento"                         ,oFont8) 
oPrint:Say  (2600,1910,"(-) Outras dedues"                             ,oFont8)
oPrint:Say  (2670,1910,"(+) Juros / Multa"                                  ,oFont8)
oPrint:Say  (2740,1910,"(+) Outros acrscimos"                           ,oFont8)
oPrint:Say  (2810,1910,"(=) Valor cobrado"                               ,oFont8)

oPrint:Say  (2880,100 ,"Pagador:"                                         ,oFont8) 
oPrint:Say  (2882,360 ,AllTrim(aDatSacado[1])+" - CNPJ/CPF: "+Iif(Len(AllTrim(aDatSacado[7]))==14,Transform(aDatSacado[7],"@R 99.999.999/9999-99"),Transform(aDatSacado[7],"@R 999.999.999-99")),oFont8)
oPrint:Say  (2922,360 ,aDatSacado[3]                                    ,oFont8)
oPrint:Say  (2962,360 ,Transform(aDatSacado[6],"@R 99999-999")+"  "+aDatSacado[4]+" - "+aDatSacado[5] ,oFont8)
//oPrint:Say  (3269,400 ,aDatSacado[6]                                    ,oFont10)
oPrint:Say  (2992,100 ,"Pagador / Avalista:"                               ,oFont8)   

// oPrint:Say  (2845,100 ,"Sacador/Avalista"+Iif(_lBcoCorrespondente,aDadosEmp[1],"")                               ,oFont8)   
oPrint:Say  (3030,1500,"Autenticao mecnica"                        ,oFont8)  
If aDadosBanco[1] == "341"
	oPrint:Say  (3030,1850,"Ficha de Compensao"                           ,oFont8)
Else
	oPrint:Say  (3030,1850,"Ficha de Compensao"                           ,oFont10)
Endif
oPrint:Line (2190,1900,2880,1900 )
oPrint:Line (2600,1900,2600,2300 )
oPrint:Line (2670,1900,2670,2300 )
oPrint:Line (2740,1900,2740,2300 )
oPrint:Line (2810,1900,2810,2300 )  
oPrint:Line (2880,100 ,2880,2300 )

oPrint:Line (3025,100,3025,2300  )     

//    | Tipo |Lin |Col| Cod.Barra |Objeto|Dgt|Cor|Hor|Tamanho|Altura|Lin|Fon|Mod|
MSBAR("INT25",26  ,  1,CB_RN_NN[1],oPrint,.F.,Nil,Nil, 0.0245,  1.30,Nil,Nil,"A",.F.)

// W: MSBAR("INT25",13.3,1,CB_RN_NN[1],oPrint,.F.,Nil,Nil,0.0135,0.75,Nil,Nil,"A",.F.)

/*
MSBAR(cTypeBar,nRow,nCol,cCode,oPrint,lCheck,Color,lHorz,nWidth,nHeigth,lBanner,cFont,cMode)
### Parmetros ##
nTypeBar - String com o tipo do codigo de barras "EAN13","EAN8","UPCA" ,"SUP5" ,"CODE128", "INT25","MAT25,"IND25","CODABAR","CODE3_9"
nRow - Numero da Linha em centimentros
nCol - Numero da coluna em centimentros
cCode - String com o conteudo do codigo
oPrint - Obejcto Printer
lcheck - Se calcula o digito de controle
color - Numero da Cor, utilize a "common.ch"
lHort - Se imprime na Horizontal
nWidth - Numero do Tamanho da barra em centmetros
nHeigth - Numero da Altura da barra em milmetros
lBanner - Se imprime o linha em baixo do codigo
cFont - String com o tipo de fonte 
cMode - String com o modo do codigo de barras CO
*/

      
oPrint:EndPage() // Finaliza a pgina

//oPrint:Preview()  // Visualiza antes de imprimir
//oPrinter:Print() // Imprime direto na impressora default do AP5

Return Nil

Static Function Modulo10(cData)
Local L,D,P := 0
Local B     := .F.
   L := Len(cData)  //TAMANHO DE BYTES DO CARACTER
   B := .T.   
   D := 0     //DIGITO VERIFICADOR
   While L > 0 
      P := Val(SubStr(cData, L, 1))
      If (B) 
         P := P * 2
         If P > 9 
            P := P - 9
         End
      End
      D := D + P
      L := L - 1
      B := !B
   End
   D := 10 - (Mod(D,10))
   If D = 10
      D := 0
   End
Return(D)

Static Function Modulo11(cData,cBanc)
Local L, D, P := 0  

If cBanc == "001"  // Banco do brasil
   L := Len(cdata)
   D := 0
   P := 10
   While L > 0 
      P := P - 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 2 
         P := 10
      End
      L := L - 1
   End
   D := mod(D,11)
   If D == 10
      D := "X"
   Else
      D := AllTrim(Str(D))
   End           
ElseIf cBanc == "104" .or. cBanc == "341" .Or. cBanc == "453" .Or. cBanc == "399" .or. cBanc == "422" // Caixa/Itau/Mercantil/Rural/HSBC/Safra
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End
   D := 11 - (mod(D,11))  
   
   If (D == 10 .Or. D == 11) .and. (cBanc == "104" .or. cBanc == "341" .or. cBanc == "422")
      D := 1
   End
   If (D == 1 .Or. D == 0 .Or. D == 10 .Or. D == 11) .and. (cBanc == "289" .Or. cBanc == "453" .Or. cBanc == "399")
      D := 0
   End
   D := AllTrim(Str(D))
ElseIf cBanc == "389" //Mercantil
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End   
   D := mod(D,11)
   If D == 1 .Or. D == 0
      D := 0
   Else
	   D := 11 - D
   End
   D := AllTrim(Str(D))
ElseIf cBanc == "479"  //BOSTON
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End
   D := Mod(D*10,11)
   If D == 10
      D := 0
   End
   D := AllTrim(Str(D))
ElseIf cBanc == "409"  //UNIBANCO
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End
   D := Mod(D*10,11)
   If D == 10 .or. D == 0
      D := 0
   End
   D := AllTrim(Str(D))
ElseIf cBanc == "356"  //Real
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End
   D := Mod(D*10,11)
   If D == 10 .or. D == 0
      D := 0
   End
   D := AllTrim(Str(D))
Else
   L := Len(cdata)
   D := 0
   P := 1
   While L > 0 
      P := P + 1
      D := D + (Val(SubStr(cData, L, 1)) * P)
      If P = 9 
         P := 1
      End
      L := L - 1
   End
   D := 11 - (mod(D,11))
   If (D == 10 .Or. D == 11)
      D := 1
   End
   D := AllTrim(Str(D))
Endif   
Return(D)   


//Retorna os strings para inpresso do Boleto
//CB = String para o cd.barras, RN = String com o nmero digitvel
//Cobrana no identificada, nmero do boleto = Ttulo + Parcela
Static Function Ret_cBarra(cBanco,cAgencia,cConta,cDacCC,cCarteira,cNroDoc,nValor,dvencimento,cConvenio,cSequencial,_lTemDesc,_cParcela,_cAgCompleta)

Local cCodEmp := StrZero(Val(SubStr(cConvenio,1,6)),6)
Local cNumSeq := strzero(val(cSequencial),5)
Local bldocnufinal := strzero(val(cNroDoc),9)
Local blvalorfinal := strzero((nValor*100),10)
Local cNNumSDig := cCpoLivre := cCBSemDig := cCodBarra := cNNum := cFatVenc := ''
Local cNossoNum
Local _cDigito := ""
Local _cSuperDig := ""

_cParcela := NumParcela(_cParcela)

//Fator Vencimento - POSICAO DE 06 A 09
cFatVenc := STRZERO(dvencimento - CtoD("07/10/1997"),4)


//Campo Livre (Definir campo livre com cada banco)

If Substr(cBanco,1,3) == "001"  // Banco do brasil
	If Len(AllTrim(cConvenio)) == 7
		//Nosso Numero sem digito
		cNNumSDig := AllTrim(cConvenio)+strzero(val(cSequencial),10)
		//Nosso Numero com digito
		cNNum := cNNumSDig

		//Nosso Numero para impressao
		cNossoNum := cNNumSDig

//		cCpoLivre := "000000"+cNNumSDig+AllTrim(cConvenio)+strzero(val(cSequencial),10)+ cCarteira
		cCpoLivre := "000000"+cNNumSDig+cCarteira
	Else
		//Nosso Numero sem digito
		cNNumSDig := cCodEmp+cNumSeq	 
		//Nosso Numero com digito
		cNNum := cNNumSDig + modulo11(cNNumSDig,SubStr(cBanco,1,3))

		//Nosso Numero para impressao
		cNossoNum := cNNumSDig +"-"+ modulo11(cNNumSDig,SubStr(cBanco,1,3))

		cCpoLivre := cNNumSDig+cAgencia + StrZero(Val(cConta),8) + cCarteira
	Endif
Elseif Substr(cBanco,1,3) == "389" // Banco mercantil
	//Nosso Numero sem digito
	cNNumSDig := "09"+cCarteira+ strzero(val(cSequencial),6)
	//Nosso Numero
	cNNum := "09"+cCarteira+ strzero(val(cSequencial),6) + modulo11(cAgencia+cNNumSDig,SubStr(cBanco,1,3))
	//Nosso Numero para impressao
	cNossoNum := "09"+cCarteira+ strzero(val(cSequencial),6) +"-"+ modulo11(cAgencia+cNNumSDig,SubStr(cBanco,1,3))

	cCpoLivre := cAgencia + cNNum + StrZero(Val(SubStr(cConvenio,1,9)),9)+Iif(_lTemDesc,"0","2")

Elseif Substr(cBanco,1,3) == "104" // Caixa Economica - Customizado por Ronner em 05/08/2013
		If Len(AllTrim(cConvenio)) == 7
		//Nosso Numero sem digito
		cNNumSDig := AllTrim(cConvenio)+strzero(val(cSequencial),10)
		//Nosso Numero com digito
		cNNum := cNNumSDig

		//Nosso Numero para impressao
		cNossoNum := cNNumSDig

//		cCpoLivre := "000000"+cNNumSDig+AllTrim(cConvenio)+strzero(val(cSequencial),10)+ cCarteira
		cCpoLivre := "000000"+cNNumSDig+cCarteira
	Else
		//Nosso Numero sem digito
		cNNumSDig := cCodEmp+cNumSeq	 
		//Nosso Numero com digito
		cNNum := cNNumSDig + modulo11(cNNumSDig,SubStr(cBanco,1,3))

		//Nosso Numero para impressao
		cNossoNum := cNNumSDig +"-"+ modulo11(cNNumSDig,SubStr(cBanco,1,3))

		cCpoLivre := cNNumSDig+cAgencia + StrZero(Val(cConta),8) + cCarteira
	Endif
Elseif Substr(cBanco,1,3) == "453"  // Banco rural
	//Nosso Numero sem digito
	cNNumSDig := strzero(val(cSequencial),7)
	//Nosso Numero
	cNNum := cNNumSDig + AllTrim( Str( modulo10( cNNumSDig ) ) )
	//Nosso Numero para impressao
	cNossoNum := cNNumSDig +"-"+ AllTrim( Str( modulo10( cNNumSDig ) ) )

	cCpoLivre := "0"+StrZero(Val(cAgencia),3) + StrZero(Val(cConta),10)+cNNum+"000"

Elseif Substr(cBanco,1,3) == "341"  // Banco Itau
	if _lBcoCorrespondente
		//Nosso Numero sem digito
		cNNumSDig := cCarteira+strzero(val(cSequencial),8)
		//Nosso Numero
		cNNum := cCarteira+strzero(val(cSequencial),8) + AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5)+cNNumSDig ) ) )
		//Nosso Numero para impressao
		cNossoNum := cCarteira+"/"+strzero(val(cSequencial),8) +'-' + AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5) + cNNumSDig ) ) )
	Else
		//Nosso Numero sem digito
		cNNumSDig := cCarteira+strzero(val(cNroDoc),6)+ _cParcela
		//Nosso Numero
		cNNum := cCarteira+strzero(val(cNroDoc),6) + _cParcela + AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5)+cNNumSDig ) ) )
		//Nosso Numero para impressao
		cNossoNum := cCarteira+"/"+strzero(val(cNroDoc),6)+ _cParcela +'-' + AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5) + cNNumSDig ) ) )
	Endif
	cCpoLivre := cNNumSDig+AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5)+cNNumSDig ) ) )+StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5)+AllTrim( Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),5) ) ) )+"000"

Elseif Substr(cBanco,1,3) == "399"  // Banco HSBC
	//Nosso Numero sem digito
	cNNumSDig := StrZero(Val(SubStr(cConvenio,1,5)),5)+strzero(val(cSequencial),5)
	//Nosso Numero
	cNNum := cNNumSDig + modulo11(cNNumSDig,SubStr(cBanco,1,3))
	//Nosso Numero para impressao
	cNossoNum := cNNumSDig +"-"+ modulo11(cNNumSDig,SubStr(cBanco,1,3))

	cCpoLivre := cNNum+StrZero(Val(cAgencia),4) + StrZero(Val(cConta),7)+"001"

Elseif Substr(cBanco,1,3) == "422"  // Banco Safra
	//Nosso Numero sem digito
	cNNumSDig := strzero(val(cSequencial),8)
	//Nosso Numero
	cNNum := cNNumSDig + modulo11(cNNumSDig,SubStr(cBanco,1,3))
	//Nosso Numero para impressao
	cNossoNum := cNNumSDig +"-"+ modulo11(cNNumSDig,SubStr(cBanco,1,3))

	cCpoLivre := "7"+StrZero(Val(cAgencia),4) + StrZero(Val(cConta),10)+cNNum+"2"

Elseif Substr(cBanco,1,3) == "479" // Banco Boston
	cNumSeq := strzero(val(cSequencial),8)            
	cCodEmp := StrZero(Val(SubStr(cConvenio,1,9)),9)
	//Nosso Numero sem digito
	cNNumSDig := strzero(val(cSequencial),8)  	 
	//Nosso Numero
	cNNum := cNNumSDig + modulo11(cNNumSDig,SubStr(cBanco,1,3))
	//Nosso Numero para impressao
	cNossoNum := cNNumSDig +"-"+ modulo11(cNNumSDig,SubStr(cBanco,1,3))

	cCpoLivre := cCodEmp+"000000"+cNNum+"8"
Elseif Substr(cBanco,1,3) == "409" // Banco UNIBANCO
	cNumSeq := strzero(val(cSequencial),10)            
	cCodEmp := StrZero(Val(SubStr(cConvenio,1,9)),9)
	//Nosso Numero sem digito
	cNNumSDig := strzero(val(cSequencial),10)  	 
	//Nosso Numero
	_cDigito := modulo11(cNNumSDig,SubStr(cBanco,1,3))
	//Calculo do super digito
	_cSuperDig := modulo11("1"+cNNumSDig + _cDigito,SubStr(cBanco,1,3))
	cNNum := "1"+cNNumSDig + _cDigito + _cSuperDig
	//Nosso Numero para impressao
	cNossoNum := "1/" + cNNumSDig + "-" + _cDigito + "/" + _cSuperDig
	// O codigo fixo "04" e para a combranco som registro
	cCpoLivre := "04" + SubStr(DtoS(dvencimento),3,6) + StrZero(Val(StrTran(_cAgCompleta,"-","")),5) + cNNumSDig + _cDigito + _cSuperDig
Elseif Substr(cBanco,1,3) == "356" // Banco REAL
	cNumSeq := strzero(val(cNumSeq),13)
	//Nosso Numero sem digito
	cNNumSDig := cNumSeq
	//Nosso Numero
	cNNum := cNumSeq
	//Nosso Numero para impressao
	cNossoNum := cNNum
	cCpoLivre := StrZero(Val(cAgencia),4) + StrZero(Val(cConta),7) + AllTrim(Str( modulo10( StrZero(Val(cAgencia),4) + StrZero(Val(cConta),7)+cNNumSDig ) ) ) + cNNumSDig
Endif	


//Dados para Calcular o Dig Verificador Geral
cCBSemDig := cBanco + cFatVenc + blvalorfinal + cCpoLivre
//Codigo de Barras Completo
cCodBarra := cBanco + Modulo11(cCBSemDig) + cFatVenc + blvalorfinal + cCpoLivre

//Digito Verificador do Primeiro Campo                  
cPrCpo := cBanco + SubStr(cCodBarra,20,5)
cDvPrCpo := AllTrim(Str(Modulo10(cPrCpo)))

//Digito Verificador do Segundo Campo
cSgCpo := SubStr(cCodBarra,25,10)
cDvSgCpo := AllTrim(Str(Modulo10(cSgCpo)))

//Digito Verificador do Terceiro Campo
cTrCpo := SubStr(cCodBarra,35,10)
cDvTrCpo := AllTrim(Str(Modulo10(cTrCpo)))

//Digito Verificador Geral
cDvGeral := SubStr(cCodBarra,5,1)

//Linha Digitavel
cLindig := SubStr(cPrCpo,1,5) + "." + SubStr(cPrCpo,6,4) + cDvPrCpo + " "   //primeiro campo
cLinDig += SubStr(cSgCpo,1,5) + "." + SubStr(cSgCpo,6,5) + cDvSgCpo + " "   //segundo campo
cLinDig += SubStr(cTrCpo,1,5) + "." + SubStr(cTrCpo,6,5) + cDvTrCpo + " "   //terceiro campo
cLinDig += " " + cDvGeral              //dig verificador geral
cLinDig += "  " + SubStr(cCodBarra,6,4)+SubStr(cCodBarra,10,10)  // fator de vencimento e valor nominal do titulo
//cLinDig += "  " + cFatVenc +blvalorfinal  // fator de vencimento e valor nominal do titulo

Return({cCodBarra,cLinDig,cNossoNum})
                                        
/*/


ͻ
Funo    VALIDPERG  Autor  AP5 IDE             Data   07/04/03   
͹
Descrio  Verifica a existencia das perguntas criando-as caso seja   
           necessario (caso nao existam).                             
͹
Uso        Programa principal                                         
ͼ


/*/

Static Function ValidPerg

Local _sAlias := Alias()
Local aRegs := {}
Local i,j

dbSelectArea("SX1")
dbSetOrder(1)
cPerg := PADR(cPerg,6)

//(sx1) Grupo/Ordem/Pergunta/Variavel/Tipo/Tamanho/Decimal/Presel/GSC/Valid/Var01/Def01/Cnt01/Var02/Def02/Cnt02/Var03/Def03/Cnt03/Var04/Def04/Cnt04/Var05/Def05/Cnt05
aAdd(aRegs,{cPerg,"01","Do Prefixo"   ,"","","mv_ch1" ,"C", 3,0,0,"G","","mv_par01","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"02","Ate o Prefixo","","","mv_ch2" ,"C", 3,0,0,"G","","mv_par02","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"03","Do Titulo"    ,"","","mv_ch3" ,"C", 6,0,0,"G","","mv_par03","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"04","Ate o Titulo" ,"","","mv_ch4" ,"C", 6,0,0,"G","","mv_par04","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"05","Do Banco"     ,"","","mv_ch5" ,"C", 3,0,0,"G","","mv_par05","","","","","","","","","","","","","","","","","","","","","","","","","SA6",""})
aAdd(aRegs,{cPerg,"06","Agencia"      ,"","","mv_ch6" ,"C", 5,0,0,"G","","mv_par06","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"07","Conta"        ,"","","mv_ch7" ,"C",10,0,0,"G","","mv_par07","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"08","SubConta"     ,"","","mv_ch8" ,"C", 3,0,0,"G","","mv_par08","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"09","Do bordero"   ,"","","mv_ch9" ,"C", 6,0,0,"G","","mv_par09","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"10","Ate o Bordero","","","mv_ch10","C", 6,0,0,"G","","mv_par10","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"11","Traz marcado" ,"","","mv_ch11","N", 1,0,0,"C","","mv_par11","1-Sim","","","","","2-Nao","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"12","Protesto"     ,"","","mv_ch12","N", 1,0,0,"C","","mv_par12","1-Sim","","","","","2-Nao","","","","","","","","","","","","","","","","","","","",""})
// aAdd(aRegs,{cPerg,"13","NF 2 (Max.8)" ,"","","mv_ch13","C",55,0,0,"G","","mv_par13","","","","","","","","","","","","","","","","","","","","","","","","","",""})

/* aAdd(aRegs,{cPerg,"12","Texto 1 da instrucao","","","mv_ch12","C",50,0,0,"G","","mv_par12","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"13","                    ","","","mv_ch13","C",50,0,0,"G","","mv_par13","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"14","Texto 2 da instrucao","","","mv_ch14","C",50,0,0,"G","","mv_par14","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"15","                    ","","","mv_ch15","C",50,0,0,"G","","mv_par15","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"16","Texto 3 da instrucao","","","mv_ch16","C",50,0,0,"G","","mv_par16","","","","","","","","","","","","","","","","","","","","","","","","","",""})
aAdd(aRegs,{cPerg,"17","                    ","","","mv_ch17","C",50,0,0,"G","","mv_par17","","","","","","","","","","","","","","","","","","","","","","","","","",""}) */
//aAdd(aRegs,{cPerg,"24","Rotacionar Banners? ","","","mv_ch18","N", 1,0,0,"C","","mv_par18","1-Sim","","","","","2-Nao","","","","","","","","","","","","","","","","","","","",""})
//aAdd(aRegs,{cPerg,"19","Arquivo do Banner:  ","","","mv_ch19","C",10,0,0,"G","","mv_par19","","","","","","","","","","","","","","","","","","","","","","","","","",""})
//aAdd(aRegs,{cPerg,"20","Numero de Banners:  ","","","mv_ch20","N",12,0,0,"G","","mv_par20","","","","","","","","","","","","","","","","","","","","","","","","","",""})


For i:=1 to Len(aRegs)
	If !dbSeek(cPerg+aRegs[i,2])
		RecLock("SX1",.T.)
		For j:=1 to FCount()
			If j <= Len(aRegs[i])
				FieldPut(j,aRegs[i,j])
			Endif
		Next
		MsUnlock()
	Endif
Next

dbSelectArea(_sAlias)

Return

//FUNCAO PARA CONFIGURAR SETUP DE IMPRESSAO (LOCAL OU SERVER)
User Function ConfiguraPrt()
Local oPrint
oPrint:= TMSPrinter():New( "Boleto Laser" )
oPrint:SetPortrait() // ou SetLandscape()
oPrint:Setup()   // setup de impressao
Return

Static Function Agencia(_cBanco,_nAgencia)
Local _cRet := ""
If _cBanco $ "479/389"
	_cRet := AllTrim(SEE->EE_AGBOSTO)
ElseIF _cBanco == "341" .or. _cBanco == "422"
	_cRet := StrZero(Val(AllTrim(_nAgencia)),4)
Else
	_cRet := SubStr(StrZero(Val(AllTrim(_nAgencia)),5),1,4)+"-"+SubStr(StrZero(Val(AllTrim(_nAgencia)),5),5,1)
Endif
Return(_cRet)

Static Function Conta(_cBanco,_cConta)
Local _cRet := ""
If _cBanco $ "479/389"
	_cRet := AllTrim(SEE->EE_CODEMP)
ElseIf _cBanco == "341"
	_cRet := StrZero(Val(SubStr(AllTrim(_cConta),1,Len(AllTrim(_cConta))-1)),5)
Else
	_cRet := SubStr(AllTrim(_cConta),1,Len(AllTrim(_cConta))-1)
Endif
Return(_cRet)

Static Function NumParcela(_cParcela)
Local _cRet := ""
If ASC(_cParcela) >= 65 .or. ASC(_cParcela) <= 90
	_cRet := StrZero(Val(Chr(ASC(_cParcela)-16)),2)
Else
	_cRet := StrZero(Val(_cParcela),2)
Endif
Return(_cRet)
